SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002482: UPSTREAM_PROXY key changed - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002482Endian FirewallProxy HTTPpublic2009-12-03 19:142010-11-22 12:04
Reporterpeter-endian 
Assigned Tosimon-endian 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3 
Target Version2.3.1Fixed in Version2.3.1 
Summary0002482: UPSTREAM_PROXY key changed
DescriptionUPSTREAM_PROXY key has changed from UPSTREAM_PROXY to UPSTREAM_SERVER and UPSTREAM_PORT

but there are scripts which read this information, like:
/usr/local/bin/setddns.pl
/usr/local/bin/restartfreshclam.py
and en-client

which read the UPSTREAM_PROXY key, which does not exist anymore.

please fix also in those scripts.
(i pass en-client changes to lukas, please coordinate with him)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003511)
simon-endian (developer)
2009-12-04 11:21

keys used for upstream proxy are:

UPSTREAM_ENABLED=on/off
UPSTREAM_SERVER=ip/hostname
UPSTREAM_PORT=port
UPSTREAM_USER=username
UPSTREAM_PASSWORD=password
(0003512)
simon-endian (developer)
2009-12-04 11:32

made changes to:
- setddns.pl
- restartfreshclam.py
- freshclam.conf.tmpl

- Issue History
Date Modified Username Field Change
2009-12-03 19:14 peter-endian New Issue
2009-12-03 19:14 peter-endian Assigned To => simon-endian
2009-12-03 19:17 peter-endian Status new => assigned
2009-12-03 19:20 peter-endian Issue cloned: 0002483
2009-12-03 19:20 peter-endian Relationship added parent of 0002483
2009-12-04 11:21 simon-endian Note Added: 0003511
2009-12-04 11:32 simon-endian Note Added: 0003512
2009-12-09 08:09 simon-endian Status assigned => resolved
2009-12-09 08:09 simon-endian Fixed in Version => 2.3.1
2009-12-09 08:09 simon-endian Resolution open => fixed
2010-11-22 12:04 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker